Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE (device)' failed"

From: Po Lu <[email-masked]>
Date: Tue, 16 Aug 2022 08:58:26 +0800

Joe Corneli <[email-masked]> writes:

> Joe Corneli writes:
>
>> Hm, I think I missed the obvious ones.  Have added:
>>
>> sudo apt-get install libgtk-3-0-dbgsym libgtk-3-bin-dbgsym
>>
>> If it crashes again, I’ll give more info.
>
> OK, I think I’m now able to provide the debugging info you were asking
> for!  As far as I could tell the specific interaction that triggered
> this was switching between windows.

Thanks.  Unfortunately, the line number doesn't make much sense, so
could you also type "l" at the debugger prompt and show the output?

> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> gdk_x11_device_manager_xi2_translate_event (xevent=<optimised out>, event=<optimised out>, display=<optimised out>, 
>     translator=<optimised out>) at ../../../../../gdk/x11/gdkdevicemanager-xi2.c:1794
> 1794	../../../../../gdk/x11/gdkdevicemanager-xi2.c: No such file or directory.
> (gdb) generate-core-file
> warning: Memory read failed for corefile section, 4096 bytes at 0xffffffffff600000.
> Saved corefile core.384524
> (gdb) bt
> #0  gdk_x11_device_manager_xi2_translate_event
>     (xevent=<optimised out>, event=<optimised out>, display=<optimised out>, translator=<optimised out>)
>     at ../../../../../gdk/x11/gdkdevicemanager-xi2.c:1794